/*
 * @(#)MohrAboutBox.java
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;

/**
 * MohrAboutBox.java - Dialogo de crditos do programa de
 * crculo de Mohr.
 *
 * <p>
 * Descrio:
 * <p>
 * ===============================================================
 * <p>
 * Este arquivo contm funes que disparam um dilogo com os
 * crditos do programa de crculo de Mohr.
 *
 * <p>
 * ===============================================================
 *
 * @version    1.0 04/09/2004
 * @author     Luiz Fernando Martha
 * @author     Alonso Juvinao Carbono
 * @author     Anderson Resende Pereira
 * @author     Fernando Busato Ramires
 * @author     Pala Reginal Dalcanal
 * @author     Ricardo Rodrigues de Araujo  
 *
 */
class MohrAboutBox extends JDialog
{
  private MohrControls controls;
  private String creditsmsgpor;
  private String creditsmsgeng;
  private JTextArea creditstext;
  private String descriptionmsgpor;
  private String descriptionmsgeng;
  private JTextArea descriptiontext;

  public MohrAboutBox( MohrControls controls )
  {
    this.controls = controls;
    setTitle( "Sobre o programa de crculo de Mohr ");

    JPanel picons = new JPanel();
    picons.setLayout( new GridLayout( 2, 1 ) );
    JLabel lbl = new JLabel(new ImageIcon(getClass().getResource(
                                                  "images/brazaopucrio.gif")));
    Border b1 = new BevelBorder(BevelBorder.LOWERED);
    Border b2 = new EmptyBorder(5, 5, 5, 5);
    lbl.setBorder(new CompoundBorder(b1, b2));
    picons.add(lbl);

    getContentPane().add(picons, BorderLayout.WEST);

    creditsmsgpor = 
      "e-Mohr: Ferramenta educacional para crculo de Mohr\n\n"+
      "Copyright:\n"+ "Luiz Fernando Martha\n"+"Alonso Juvinao Carbono\n"+
      "Anderson Resende Pereira\n"+"Fernando Busato Ramires\n"+
      "Pala Reginal Dalcanal\n"+"Ricardo Rodrigues de Araujo\n\n"+
      "Verso 1.00, Setembro 2004\n\n"+
      "Pontifcia Universidade Catlica do Rio de Janeiro - PUC-Rio\n"+
      "Departamento de Engenharia Civil";
    creditsmsgeng = 
      "e-Mohr: Mohr's circle educational tool\n\n"+
      "Copyright:\n"+ "Luiz Fernando Martha\n"+"Alonso Juvinao Carbono\n"+
      "Anderson Resende Pereira\n"+"Fernando Busato Ramires\n"+
      "Pala Reginal Dalcanal\n"+"Ricardo Rodrigues de Araujo\n\n"+
      "Version 1.00, September 2004\n\n"+
      "Pontifical Catholic University of Rio de Janeiro - PUC-Rio\n"+
      "Civil Engineering Department";

    creditstext = new JTextArea(creditsmsgpor);
    creditstext.setBorder(new EmptyBorder(5, 10, 5, 10));
    creditstext.setFont(new Font("Helvetica", Font.BOLD, 12));
    creditstext.setEditable(false);
    creditstext.setBackground(getBackground());
    JPanel p = new JPanel();
    p.setLayout(new BoxLayout(p, BoxLayout.Y_AXIS));
    p.add(creditstext);

    descriptionmsgpor = 
              "Este programa demonstra como funciona o \n"+
              "crculo de Mohr para estado plano de tenses. \n"+
              "Ele foi desenvolvido como projeto final da \n"+
              "disciplina CIV 2802 - Sistemas Grficos para \n"+
              "Engenharia, PUC-Rio, no primeiro semestre de 2004.";
    descriptionmsgeng = 
              "This program demonstrates the behavior of \n"+
              "the Mohr's circle for plane stress state. \n"+
              "It was developed as the final project of \n"+
              "course CIV 2802 - Engineering Graphics Systems, \n"+
              "PUC-Rio, during the first semester of 2004.";

    descriptiontext = new JTextArea(descriptionmsgpor);
    descriptiontext.setBorder(new EmptyBorder(5, 10, 5, 10));
    descriptiontext.setFont(new Font("Arial", Font.PLAIN, 12));
    descriptiontext.setEditable(false);
    descriptiontext.setBackground(getBackground());
    p.add(descriptiontext);

    getContentPane().add(p, BorderLayout.CENTER);

    JButton btOK = new JButton("OK");
    ActionListener lst = new ActionListener() { 
      public void actionPerformed(ActionEvent e) {
        exit_dlg();
      }
    };
    btOK.addActionListener(lst);
    p = new JPanel();
    p.add(btOK);
    getContentPane().add(p, BorderLayout.SOUTH);

    addWindowListener( new WindowAdapter() {
     public void windowClosing( WindowEvent e ) {
      exit_dlg();
     }
    } );

    pack();
    setResizable(false);
  }

  private void exit_dlg( )
  {
   setVisible(false);
   controls.resetInfoDlg();
  }

  public void setPortuguese( )
  {
   setTitle( "Sobre o programa de crculo de Mohr" );
   creditstext.setText( creditsmsgpor );
   descriptiontext.setText( descriptionmsgpor );
  }

  public void setEnglish( )
  {
   setTitle( "About the Mohr's circle program" );
   creditstext.setText( creditsmsgeng );
   descriptiontext.setText( descriptionmsgeng );
  }
}

