/*
 * @(#)MohrDriver.java
 */

/**
 * MohrDriver.java - Driver do programa de crculo de Mohr para
 * estado plano de tenses.
 *
 * <p>
 * Description:
 * <p>
 * ===============================================================
 * <p>
 * Este arquivo contm a classe que controla a execuo do 
 * programa de crculo de Mohr para estado plano de tenses.
 *
 * <p>
 * ===============================================================
 *
 * @version    1.0 04/09/2004
 * @author     Luiz Fernando Martha
 * @author     Alonso Juvinao Carbono
 * @author     Anderson Resende Pereira
 * @author     Fernando Busato Ramires
 * @author     Pala Reginal Dalcanal
 * @author     Ricardo Rodrigues de Araujo  
 *
 */
class MohrDriver
{
 /** Painel principal da interface grfica */
 protected MohrPanel target;

 /** Resolvedor do crculo de Mohr */
 protected MohrSolver solver;

 /*=========================  Constructor  ==========================*/

 MohrDriver( MohrPanel target )
 {
  this.target = target;

  solver = new MohrSolver( );
 }

 /*==========================  getSolver  ===========================*/

 MohrSolver getSolver( )
 {
  return( solver );
 }

 /*==========================  update  ===========================*/

 void update( )
 {
  target.circle_canvas.update( );
  target.statestrs_canvas.update( );
  target.statestrs.update( );
  target.thetastrs_canvas.update( );
  target.thetastrs.update( );
  target.principalstrs_canvas.update( );
  target.principalstrs.update( );
 }

 /*==========================  udpate_draft  ===========================*/

 void update_draft( )
 {
  target.circle_canvas.update_draft( );
  target.statestrs_canvas.update( );
  target.statestrs.update( );
  target.thetastrs_canvas.update( );
  target.thetastrs.update( );
  target.principalstrs_canvas.update( );
  target.principalstrs.update( );
 }
}

