/*
 * @(#)MohrTheory.java
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;

/**
 * MohrTheory.java - Dialogo de equaes e conveno de sinais
 * do programa de crculo de Mohr.
 *
 * <p>
 * Descrio:
 * <p>
 * ===============================================================
 * <p>
 * Este arquivo contm funes que disparam um dilogo com os
 * equaes e conveno de sinais do programa de crculo de Mohr.
 *
 * <p>
 * ===============================================================
 *
 * @version    1.0 04/09/2004
 * @author     Luiz Fernando Martha
 * @author     Alonso Juvinao Carbono
 * @author     Anderson Resende Pereira
 * @author     Fernando Busato Ramires
 * @author     Pala Reginal Dalcanal
 * @author     Ricardo Rodrigues de Araujo  
 *
 */
class MohrTheory extends JDialog
{
  private MohrControls controls;
  private JTabbedPane tabbedpane;
  private JLabel signconvpor;
  private JLabel signconveng;
  private JLabel circlepor;
  private JLabel circleeng;
  private JLabel polepor;
  private JLabel poleeng;
  private JLabel controlptspor;
  private JLabel controlptseng;

  public MohrTheory( MohrControls controls )
  {
    this.controls = controls;
    setTitle( "Resumo da teoria do crculo de Mohr" );

    tabbedpane = new JTabbedPane();
    tabbedpane.setTabPlacement(JTabbedPane.TOP);
    getContentPane().add(tabbedpane, BorderLayout.CENTER);

    signconvpor = new JLabel(new ImageIcon(getClass().getResource(
                                                  "images/signconvpor.gif")));
    signconveng = new JLabel(new ImageIcon(getClass().getResource(
                                                  "images/signconveng.gif")));
    circlepor = new JLabel(new ImageIcon(getClass().getResource(
                                                  "images/circlepor.gif")));
    circleeng = new JLabel(new ImageIcon(getClass().getResource(
                                                  "images/circleeng.gif")));
    polepor = new JLabel(new ImageIcon(getClass().getResource(
                                                  "images/polepor.gif")));
    poleeng = new JLabel(new ImageIcon(getClass().getResource(
                                                  "images/poleeng.gif")));
    controlptspor = new JLabel(new ImageIcon(getClass().getResource(
                                                  "images/controlptspor.gif")));
    controlptseng = new JLabel(new ImageIcon(getClass().getResource(
                                                  "images/controlptseng.gif")));

    tabbedpane.add( "Conveno de Sinais", signconvpor );
    tabbedpane.add( "Crculo de Mohr", circlepor );
    tabbedpane.add( " Plo ", polepor );
    tabbedpane.add( "Pontos de Controle", controlptspor );

    tabbedpane.getModel().addChangeListener(
     new ChangeListener() {
      public void stateChanged(ChangeEvent e) {
       SingleSelectionModel model = (SingleSelectionModel) e.getSource();
      }
     } );

    JButton btOK = new JButton("OK");
    ActionListener lst = new ActionListener() { 
      public void actionPerformed(ActionEvent e) {
        exit_dlg();
      }
    };
    btOK.addActionListener(lst);
    JPanel p = new JPanel();
    p.add(btOK);
    getContentPane().add(p, BorderLayout.SOUTH);

    addWindowListener( new WindowAdapter() {
     public void windowClosing( WindowEvent e ) {
      exit_dlg();
     }
    } );

    pack();
    setResizable(false);
  }

  private void exit_dlg( )
  {
   setVisible(false);
   controls.resetTheoryDlg();
  }

  public void setPortuguese( )
  {
   setTitle( "Resumo da teoria do crculo de Mohr" );
   tabbedpane.setTitleAt( 0, "Conveno de Sinais" );
   tabbedpane.setComponentAt( 0, signconvpor );
   tabbedpane.setTitleAt( 1, "Crculo de Mohr" );
   tabbedpane.setComponentAt( 1, circlepor );
   tabbedpane.setTitleAt( 2, " Plo " );
   tabbedpane.setComponentAt( 2, polepor );
   tabbedpane.setTitleAt( 3, "Pontos de Controle" );
   tabbedpane.setComponentAt( 3, controlptspor );
  }

  public void setEnglish( )
  {
   setTitle( "Summary of Mohr's circle theory" );
   tabbedpane.setTitleAt( 0, "Sign Convention" );
   tabbedpane.setComponentAt( 0, signconveng );
   tabbedpane.setTitleAt( 1, "Mohr's Circle" );
   tabbedpane.setComponentAt( 1, circleeng );
   tabbedpane.setTitleAt( 2, " Pole " );
   tabbedpane.setComponentAt( 2, poleeng );
   tabbedpane.setTitleAt( 3, "Control Points" );
   tabbedpane.setComponentAt( 3, controlptseng );
  }
}

